Adabas Server Configuration
This table provides an overview of the Adabas nucleus parameters that are available to support the cluster interface:

Parameter | Description
CLUSTER_PORT | The TCP/IP port for intra-cluster communication.
CLUSTER_URL | Specify all possible cluster nodes, in the form gcomm://<node1 or ip:port>,<node2 or ip2:port>,<node3 or ip3:port>. Not necessary for the first node of a cluster.
CLUSTER_ OPTIONS | Allow additional parameter settings. For more information, see Parameters and Environment > Additional Provider Library Parameters.
CLUSTER_SST_PORT | TCP/IP port for State Snapshot Transfer. The default is to pick up a free number of the dynamic port range. This is mandatory, in case of firewall restrictions.
CLUSTER_IST_PORT | TCP/IP port for Incremental State Transfer. The default is to pick up a free number of the dynamic port range. This is mandatory, in case of firewall restrictions.
CLUSTER_BOOTSTRAP | If set, the CLUSTER_URL setting is ignored during startup.
CLUSTER_DONOR_NAMES | The node name which should transfer data (IST or SST) to a joining node (optional). A comma-separated list of node names is also accepted.
CLUSTER_LOG_LEVEL | The maximum log level of cluster messages: FATAL|ERROR|WARN|INFO|DEBUG (optional, the default is INFO).
CLUSTER_NODE_NAME | The cluster node name (optional, the default is <HOSTNAME>-<CLUSTER_PORT>). Cluster nodes can have the same name, but you can only start nodes with unique names within a single cluster.
CLUSTER_PUBLIC_HOST | External representation of the ADATCP host - Public IP address or name (optional).
CLUSTER_PUBLIC_PORT | External representation of the ADATCP port - Port forwarding (optional).

To support Client Failover (High Availability - from the application point of view) in the cluster, the following parameter settings are required:

Parameter | Description
ADATCP | Enable the TCP/IP receiver.
PORTNUMBER | The TCP/IP port where the database listens for client connections.
SSLPORTNUMBER | The SSL port where the database listens for SSL client connections.

Client access is available using native TCP/IP and/or SSL connections. If the SSLPORTNUMBER parameter is set, the cluster node will only provide SSL communication to the clients, regardless of the setting of the PORTNUMBER parameter. It is possible to operate the cluster in mixed mode.